extends CharacterBody3D

var physics_gravity := Vector3()
var physics_position := Vector3()

func _ready() -> void:
	velocity = Vector3.FORWARD * 2

func _physics_process(delta: float) -> void:
	global_position += velocity * delta
	physics_gravity = get_gravity()
	physics_position = global_position

func _process(_delta: float) -> void:
	var process_gravity := get_gravity()
	if process_gravity != physics_gravity:
		print("Desync detected...")
		print("_process thinks gravity is: %v" % get_gravity())
		print("_physics_process thinks gravity is: %v" % physics_gravity)
		print("They do however agree on where we are in the world...")
		print("_process thinks we are at: %v" % global_position)
		print("_physics_process thinks we are at: %v" % physics_position)
		print("But gravity obviously can't be both values at the same position")
		print()
